# TrashTierTweaks



The goal of these tweaks is to improve weapon selection and give players more options when on the loadout screen. As a result, many weapons have been buffed or minorly tweaked to reflect their oftentimes apparent shortfalls which make them subpar, while broadly improving the effective ranges of many weapons that suffer from awful falloff ranges. Stamina being adjusted by reducing its overall impact on the player providing the player more freedom and reducing annoyance.



# Stamina and Movement



## General Changes

- Cost of melee attacks reduced by 20%

- Cost of jumping reduced 20%

- Dodge interval lowered to 1s from 1.25s, making dodging a bit more lucrative.



## Out of Combat

- Stamina recovery speed increased by 20%

- Stamina floor raised from 60% to 85%



## In Combat

- Maximum Stamina Increased from 90% to 98%

- Decreased sprint cost by 20%, twice as much as OOC

- Reduced dodge cost by 33% to match out of combat



Rationale: These changes seek to make stamina much less of a factor in stealth and when simply roaming around. Allowing the player to clear spaces much faster without the constant encumberance from stamina.

Meanwhile in combat the combination of these changes allows the players to fight in melee and cover more ground faster for longer, allowing for more diverse strategies and recovery from potential failure. The maximum stamina change allows the player to essentially remain at full stamina, not penalising the player as harshly for 1 enemy being awake from other teammates or the reoccuring problem of enemy waves having 1 enemy refuse to move for minutes on end or being stuck.




# Weapon Changes



In general all weapons bullet costs have been adjusted for consistency's sake, instead of having weapons receive decimal ammo values from packs (for example 8.1818 rounds, at bullet cost 11) they will instead receive a flat value that will be predictable without needing to make mental note. (8 rounds, 11.25 bullet cost)

Weapons appear in the same order as in the archetype datablock, melees featured at the bottom of the datablock.



Note: To the uninitiated, bullet cost is determines how much ammo a weapon receives in its reserves. A larger value makes ammo in reserves less and ammo received from packs lower and vice versa. For example, main weapons such the the orignal pistol have a bulletcost of 3, receiving (460/3) 153 rounds in reserve and receives (90/3) 30 rounds from ammo packs and starts with (300/3) 100 rounds at the start of an expedition. Special weapons behave similarly instead having 230 divided by the respective weapon's bullet cost to determine its reserves.



## Guns



### Rifle

- Increased effective range (22/80m -> 40/80m)

- Decreased bullet cost (3.8 -> 3.333)

- Slight increase to precision (0.8667x -> 0.95x)

- Moderate Reduction in stagger (1.7x -> 1.3x)

Rationale: I wanted to make the rifle essentially a counterpart to the pistol, featuring improved range over the pistols better firerate and ammo capacity.



### Burst Rifle

- Improved damage (2.71 -> 3.01), improved precision (0.8667x -> 0.91x)

- Bullet cost reduced (1.65 -> 1.607)

- Improved hipfire (2.5 -> 2.0)

Rationale: Burst weapons can be unwieldy as a result of being forced into a 3 round burst without controling it can and often will result in missed shots due to staggers. Improving the damage of each round and its precision allows for the user to land two burst kills much more reliably on strikers, while giving the burst rifle a better role in main slot.



### Assault Rifle

- Improved damage (2.1875 -> 2.41), Improved precision (0.8x -> 0.8667x)

- Reduced bullet cost (1.47 -> 1.384)

- Improved mag capacity (30 -> 32)

- Increased effective range (10/70m -> 15/90m)

- Slightly reduced firerate (11.627/s -> 11.1/s)

- Increased stagger (1x -> 1.36x)

Rationale: Assault has been pretty awful and needing a buff for a long time, being outclassed by many automatic weapons such as smg, heavy smg and even the bullpup.



### Heavy Assault Rifle

- Improved damage (5.01 -> 5.35), Improved Precision (0.8x -> 0.9x)

- Improved effective range (12/80m -> 15/90m)

- Reduced firerate (10.526/s -> 8.77/s)

- Increased stagger (1x -> 1.22x)

- Improved hipfire (2.375 -> 2.0)

Rationale: The HAR as of several patches been very similar to the Arbalist Machinegun, sharing many breakpoints. The goal of these changes is to push the HAR towards being a more responsive version of the arbalist and more powerful at the cost of stability and ammo economy.



### Short Rifle

- Improved precision (0.7413x -> 0.8x)

- Increased effective range (8/58m -> 9/65m)

- Massively increased stagger (0.5x -> 1.5x)

- Reduced magazine size (30 -> 25)

- Improved hipfire (2.0 -> 1.25)

Rationale: Honestly ive used this like once and hated it. So I looked at the stats and decided to make it more pistol like to make it less shit, though honestly this one is probably hit or miss.



### Carbine

- Improved Precision (0.7413x -> 0.91x)

- Slightly increased reload speed (1.6s -> 1.5s)

- Increased hipfire spread (1 -> 1.25)

Rationale: Carbine is already pretty good, increasing the precision to reward accurate shot placement and improve consistency.



### Heavy SMG

- Slight increase to damage (2.45 -> 2.51)

- Increased effective range (7/60m -> 9/65m)

- Slightly increased firerate (12.82/s -> 13.33/s)

- Reduced bullet cost (1.5 -> 1.3636)

- Improved hipfire (2.0 -> 1.5)

- Increased stagger (1x -> 1.3x)

Rationale: Heavy Smg is very similar to the Assault Rifle. Tradeoffs being improved close range capability and ammo capacity at the cost of range.



### PDW

- Improved Precision (0.7413x -> 0.88x)

- Increased magazine capacity (32 -> 40)

- Reduced bullet cost (1.3 - 1.125)

- Increased effective range (5/47m -> 9/65m)

- Improved stagger (1x -> 1.2x)



### SMG

- Improved damage (1.98 -> 2.15), Reduced precision slightly (0.91x -> 0.88x)

- Reduced bullet cost (1.3 -> 1.125)

- Increased effective range (6/55m -> 9/65m)

- Increased stagger (1x -> 1.2x)

- Hipfire spread reduced (2.5 -> 1.25)



Rationale: Both the PDW and SMG have been essentially merged into one, sharing damage, precision and ammo economies. However there are still some minor trade offs, being that the PDW has higher firerate and a thermal. While the SMG has larger magazines. Both benefit from larger range and general damage output with larger ammo reserves to boot.



### Hel Gun

- Increased Precision (0.8x -> 0.85x)

- Reduced charge time (0.2s -> 0.1s), Increased shot delay (0.1s -> 0.15s). Net fire rate increased (3.33/s -> 4/s)

- Reverted ammo buff, increased bullet cost (5.74 -> 6.428)

- Reduced overpenetration (4 targets -> 3 targets)

Rationale: Slightly increasing the precision to improve damage to hybrids and overall output on bosses. The latest change to the ammo seemed a bit absurd to me since the hel gun historically has been one of if not the best special weapon in the game. I also hated the charge time change since it makes the gun feel genuinely awful to me, so much so that I stopped using it altogether, So I brought back the old charge time but increased its fire delay so its not too far off dps wise from current.



### Burst Cannon

- Increased precision (0.734x -> 0.85x)

- Increased effective range (15/80m -> 18/90m)

- Decreased charge time (0.7s -> 0.6s)

- Increase magazine capacity (20 -> 21)

- Reduced burst fire rate (16.66/s -> 13.33/s)

Rationale: Burst cannon is by design quite unwieldy but powerful, yet I find its much harder to consider it in modern gtfo without burst canceling, which was borderline an exploit. So to bring some of its lost power back ive increased the time between each shot in the burst to make it easier to land shots on different targets in groups, and improved its precision to reflect its role better in killing giants and bosses.



### Arbalist Machinegun

- Increased effective range (15/80m -> 18/90m)

- Reduced charge time (0.4s -> 0.35s)

- Increased Precision (0.7413x -> 0.85x)

- bullet cost increased (1.595 -> 1.666)

Rationale: Arbalist was already a pretty great gun, widely applicable and versatile. Though a little lacking in damage against hybrids and bosses, So I increased the value of landing weakspot hits. The ammo buff I felt encroached on the Veruta's viability too much so I decreased it a bit.



### Veruta Machinegun

- Slightly increased precision (0.7413x -> 0.78)

- Increased effective range (15/80m -> 18/90m)

- Increased reload speed (4.0s -> 3.6s)

- Hipfire spread improved (3.0 -> 2.0)

- Charge time reduced (0.4s -> 0.25s)

- Bullet cost reduced (1.15 -> 1.0975)

- Slightly increased magazine capacity (60 -> 65)

Rationale: The main goal here was to make the Veruta easier to handle, faster charge time to encourage burst firing and responsiveness. With all the other changes helping further to make the Veruta more compelling even if only slightly.



### DMR

- Increased Damage (7.51 -> 8.01), Reduced Precision (0.87x -> 0.825x)

- Increased effective range slightly (50/100m -> 60/100m)

- Decreased bullet cost (5.89 -> 5)

- Increased fire rate (4/s -> 4.5/s)

- Improved hipfire spread (2.5 -> 2.0)

Rationale: DMR has felt lacking for a long time, I've increased the ammo capacity to match that of its closest relative, the HEL Revolver, while increasing its body shot damage to match.



### Double Tap Rifle

- Reduced bullet cost (3.8 -> 3.461)

- Massively improved hipfire (3.5 -> 2.0)

Rationale: The Double Tap Rifle on paper is a very solid weapon, however in practice its not very practical. So I chose to increase its efficacy further by adding the Binary Trigger mod, allowing accurate shot placement while maintain a double tap-esque feel.


### Sniper Rifle

- Increased damage (40.01 -> 50.01), Reduced Precision (2.0x -> 1.6x)|

- Increased fire rate (1.25/s -> 4/s)

- Increased magazine capacity, (2 -> 4)

- Increased ammo capacity, (12 shots -> 15 bursts), refills down from (5 rounds -> 3 bursts)

- Changed fire mode from semi-automatic to a near instant 2 round burst

- Improved hipfire massively (13 -> 4)

- Added overpenetration, up to 2 enemies.

- Moved to tool slot, due to being of a specialised nature. 

Rationale: I want to make the sniper extremely effective at killing or weakening bosses and any giant you point it at while also changing the dynamic of it in the game by making it a tool slot weapon instead of a special. This make the sniper a tough pick when making a team loadout as it will cost you a tool instead of removing players ability to fight enemies on their own by effectively removing their special weapon. Changing the firemode to a near instant 2 round burst serves to make the sniper much better at bossing, as with its hipfire spread you spread your 2 rounds out to hit 2 different tumours increasing potency drastically, and otherwise maintaining its effectiveness against all other enemies or improving upon its weaknesses.


### Shotgun

- Increased pellet count (10x3 -> 14x3)

- Increased effective range (4/40m -> 6/50m)

- Decreased pellet spread (2 -> 1), cone unchanged

- Increased rate of fire (1.66/s-> 2/s)

- Increased bullet cost, reverted from Buff (9.55 -> 11.25)

- Slight increase to reload speed (3.0s -> 2.8s)

- Increased Stagger (1x -> 1.5x)

Rationale: Shotgun has been in my opinion, absolutely fucking awful. To make it cease being absolute shit, I have given it 4 more pellets and better fall off making it much more reliable at killing everything including chargers as its less suicidal to try now. On top of that, it now deals enough damage to two tap hybrids and 3 tap giants on top of just being much better overall. It is now a high output, poor ammo economy weapon, as intended. Besting even the strongest weapons in close range.



### Slug Shotgun

- Increase to precision (0.7413x -> 0.9x)

- Increase to effective range (6/40m -> 12/85m)

- Reduced bullet cost (12 -> 11.25)

Rationale: Slug Shotgun is an alright choice for killing strikers and small enemies with relative ease, increasing its precision to give it more power against tougher enemies. Making range changes to keep it in line with the rest of the range buffs.



### Scattergun

- Increased damage (4.8 -> 7.01), Decreased precision (0.73x -> 0.5x), Increased pellet count (32 -> 50)

- Increased effective range (4/30m -> 8/60m)

- Decreased ammo capacity and refill, (14 -> 10), (5.52 -> 2)

- Decreased pellet spread (4 -> 3)

- Added overpenetration, 3 targets

- Decreased magazine capacity (2 -> 1)

- Moved to tool slot

Rationale: Turned the scattergun into a flak cannon, excels at everything you can place in its crosshairs for insane damage and clear potential at the cost of being expensive, use wisely. Overall, increased general potency and viability against hordes, and large groups of mixed enemies.


### Choke Mod Shotgun

- Decreased damage (3.76 -> 3.01), increased pellets (8 -> 11)

- Increased magazine size (4 -> 5)

- Increased fall off range (15/80m -> 15/90m)

- Increased reload speed (2.72s -> 2.5s)

Rationale: You can now miss 1 pellet and still kill a charger. Otherwise uptime should be much better with the extra shell and faster reload.



### Combat Shotgun

- Decreased cone size (3 -> 2)

- Increased effective range (5/40 -> 6/50)

Rationale: Spread tightened to improve 1 shot consistency on strikers, and general effectiveness.



### Hel Shotgun

- Increased effective range (4/40m -> 6/50m)

- Decreased cone size (4 -> 3), pellet spread reduced (3 -> 2)

- Slight precision adjustment (0.7413x -> 0.75x)

Rationale: I haven't used this gun enough, though I've heard it's good, so I made it a bit more reliable for damage.



### Revolver

- Increased damage (14.21 -> 15.1)

- Increased precision (0.7413x -> 0.9x)

- Increased bullet cost (4.94 -> 5.294)

- Decreased effective range (12/80m -> 10/70m)

Rationale: These changes aim to make revolver a more competitive pick against a wider array of targets, making it generally effective against nearly all enemies in the game.



### Hel Revolver

- Increased precision (0.7413x -> 0.825x)

- Decreased effective range (10/80m -> 9/65m)

- Decreased shot delay (0.2s -> 0.15s)

- Added very small charge up (0s -> 0.05s), Fire rate unchanged.

Rationale: I wanted to change the Hel Revolver a little bit, make it a more close range focused weapon and add a small charge up to keep in line with other Hel weapons. In return I made it do the same precision damage as the DMR so it will one shot shooters within 9 meters. Overall it is now essentially a DMR with worse range and magazine size, but can overpenetrate.



### Hel Rifle

- Decreased overpenetration (6 -> 4)

- Increased firerate (1.124/s -> 1.2857/s)

- Slightly increased precision (0.730897x -> 0.75x)

- Increased reload speed (3.0 -> 2.8)

- Increased effective range (40/80m -> 60/100m)

Rationale: Hel Rifle gets a few QOL changes to help it feel a bit better to use. Otherwise still incredible, Hel Rifle/10



### Precision Rifle

- Increased damage (13 -> 17.5)

- Decreased hipfire spread (3 -> 2)

- Decreased firerate (3.5 -> 2.5)

- Increase reload speed (3.3s -> 3.0s)

- Increase bullet cost (5.5 -> 6.923)

- Increased effective range (30/70m -> 40/80m)

Rationale: Precision Rifle struggles to find a niche in vanilla. By giving it increased damage output I hope it finds use in eliminating heavier targets such as giants and bosses while not being too awful against a larger quantity of enemies.


### Pistol

- Slightly decreased bullet cost (3.0 -> 2.8125)

- Increased effective range (9/45m -> 9/65m)

Rationale: Pistol is already pretty good, small decrease in bullet cost to help it keep it in line with the new options.



### High Caliber Pistol

- Increased max effective range (8/65m -> 10/70m)

- Increased magazine size (6 -> 7)

- Increased reload speed (2.5s -> 2.2s)

- Slight precision increase (0.7413x -> 0.8x)

Rationale: Choke mod gets a buff, so should this.



### Burst Pistol

- Increase max fall off range (10/47 -> 10/65)

- Slight increase to burst fire delay (0.06s -> 0.07s)

- Slight increase to stagger (1.0x -> 1.1x)

- Decreased burst delay (0.2s -> 0.14s)

- Changed fire type to binary to improve shot placement, 1 shot on press 1 shot on release.

Rationale: Binary trigger, amongst above changes to make it feel better? I dunno if this one can be saved tbh.



### Machinepistol

- Slight increase to damage (1.91 -> 2.01)

- Slight precision increase (0.7413x -> 0.75x)

- Increase effective range (7/35m -> 7/50m)

- Decreased hipfire spread (2.5 -> 1.6)

- Increased stagger (1.0x -> 1.25x)

- Decreased bullet cost (0.95 -> 0.9)

Rationale: Should perform better in close quarters now.



### Hel Autopistol

- Effective range increased (5/55m -> 6/60m)

- Slightly increased precision (0.7413x -> 0.75x)

Rationale: Still the auto pp, what more is there to say.



### Sawed Off Shotgun

- Maximum falloff range increased (6/40m -> 6/50m)

- Slightly increased precision (0.7413x -> 0.75x)

Rationale: Buffed effective range along with most weapons.



### Bullpup

- Increased damage (2.1 -> 2.25)

- Increased effective range (10/70m -> 20/95m)

- Bullet cost decreased (1.5 -> 1.384)

- Decreased firerate (18 -> 16)

- Increased reload speed (2.3s -> 2.1s)

- Increased magazine size (40 -> 48)

- Improved hipfire spread (2.5 -> 1.8)

- Increased stagger (1x -> 1.15x)

Rationale: Makes the bullpup handle a lot better. May have to think of better ways to change this gun since it lacks a solid reload cancel which makes it quite lacking to use.


## Sentries



### Sniper Sentry

- Increased effective range (30/100m -> 40/100m)

- Removed symbiosis, original sentry behavior

- Increased ammo capacity (32 -> 35)

- Decreased start fire delay (2.8s -> 2.3s)

Rationale: Symbiosis made targeting absolutely fucking awful. Reverting to the orignal behavior makes it target like it used to.



### Burst Sentry

- Increased effective range (10/40m -> 15/65m)

- Increased ammo capacity (254 -> 270)

- Burst interval reduced (1s -> 0.91)

Rationale: 254 rounds made me mad, so I made it refill a more easily readable 54 rounds per tool, also 270 rounds just looks cleaner. Slightly faster fire rate helps it a bit.



### Shotgun Sentry

- Increased effective range (4/40m -> 6/50)

- Removed symbiosis, original sentry behavior

- Decreased fire rate (1.33 -> 0.66)

- Increased pellet count (3.01x5 -> 3.01x8)

- Decreased shot spread (3 -> 2), removed pellet spread (2 -> 0) for a fixed shot pattern

- Decreased ammo capacity (66 -> 50)

- Increased detection range (10m -> 12m)

Rationale: Hopefully makes the shotgun sentry a genuinely good sentry when utilised well. Symbiosis removed to improve target acquisition.



## Melee Weapons



### Hammer

- Max charge damage increased (20 -> 23)

- Increased stagger, light (3 -> 5.1), heavy (26 -> 50.6)

- Slightly reduced attack recovery time across the board

- Slightly faster light attack speed

- Time before melee begins charging decreased (0.2s -> 0.15s)

Rationale: I hate that the hammer got nerfed as hard as it did. What makes the hammer good is that it is a great all round option, but most importantly, it WAS a safe option. I have increased its light stagger and heavy stagger to make it safer to melee all sorts of threats without bringing it back to the extremes of pre nerf hammer. The recovery time change in conjunction with decreasing pre charge time works to make the hammer a stronger option against giants when compared to spear, which in spite of its equal charge time, spear hits landed sooner and recovered faster, so changing the hammers timings helps to bring the two more in line with eachother.


### Knife

- Increased damage (5.5 -> 7.5), increased precision (1.5x -> 1.65x)

- Removed sleeping multiplier (1.5x -> 1.0x)

- Increased charged backstab multiplier (1.5x -> 1.75)

- Increased environmental damage for both light and heavy attacks

Rationale: I want to make the knife better at playing fast. For experienced players, triggering enemies in stealth happens fairly often when clearing quickly, removing the sleeping multiplier and redistributing the lost damage to more meaningful avenues makes the knife get punished less for doing what it should do, go fast. These changes also make it less awful against giants and chargers, meaning if you are a knife enjoyer you may be able to make it work in situations that would otherwise be suicide. Also you can break locks with 1 heavy and 1 light, enjoy.



### Spear

- Increased damage (17.5 -> 18.5)

Rationale: Spear is fucking insane. Controversial take as it is, but I believe since the hammer nerf, the spear has been the best melee weapon in the game. It handles stealth like a champ, its precise and rewards the player well for it. You have incredible reach. You slaughter giants with ease and safely at that on your own. I feel this point is proven further when you get a handle on multihits, as there is a way to get consistent value on enemies that are grouped up in stealth, allowing you to take on larger groups of enemies than you otherwise would. The only costs to this is the demand of headshots and your sprint speed, being only 75% of your total speed with other melees. The sprint speed loss is a negligible downside when compared to the positives, even more so when you can just side step most attacks and abuse your increased range.



### Bat

- Damage increased (12 -> 14)

- Reduced stagger (7x -> 5x)

- Added small backstab multi (1.0x -> 1.072), 15 total damage

Rationale: With these changes I hope to reinforce the bats identity as a weapon that bridges the gap between the hammer and knife, but also massively improving upon its viability against chargers and scouts, separating it further from the knife.
